%define	pkgname	aacskeys
Name:		%{pkgname}
Version:	0.4.0c
Release:	5.2
Group:		Multimedia
Summary:	AACS library
License:	unknown
Url:		http://forum.doom9.org/showthread.php?t=123311
Source0:	%{pkgname}-%{version}.tar.bz2
Patch0:		%{pkgname}-javainclude.patch
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root
BuildRequires:	gcc-c++
BuildRequires:	openssl-devel
%if 0%{?suse_version} >= 1120 && 0%{?suse_version} <= 1140
BuildRequires:	java-devel-sun >= 1.6
%else
BuildRequires:	java-devel >= 1.6
%endif

%description
aacskeys is a program to decrypt all required keys from an AACS protected
HD-DVD / Blu-Ray to decrypt it (Sequence Keys aren't supported currently).
aacskeys has been written by arnezami and is now maintained by me, KenD00.
It runs under Windows (32 bit and 64 bit), Linux (32 bit and 64 bit) and
Mac OS X (quad universal).

%prep
%setup
%patch0

%build
%__make

%install
%__install -D -m0755 bin/linux/%{pkgname} %{buildroot}%{_bindir}/%{pkgname}
%__install -D -m0755 lib/linux/lib%{pkgname}.so %{buildroot}%{_libdir}/lib%{pkgname}.so


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README.txt
%{_bindir}/%{pkgname}
%{_libdir}/lib%{pkgname}.so

%changelog
